#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct BatchGetAvailableTagKeysResponse {
    #[builder(
        default,
        map(
            key(type = String, into),
            value(
                custom(
                    type = impl
                    IntoIterator<Item = String>,
                    convert = |v|v.into_iter().collect()
                )
            )
        )
    )]
    #[serde(
        rename = "results",
        skip_serializing_if = "std::collections::BTreeMap::is_empty",
        default
    )]
    results: std::collections::BTreeMap<String, Vec<String>>,
    #[builder(default, map(key(type = String, into), value(type = String, into)))]
    #[serde(
        rename = "nextPageTokens",
        skip_serializing_if = "std::collections::BTreeMap::is_empty",
        default
    )]
    next_page_tokens: std::collections::BTreeMap<String, String>,
}
impl BatchGetAvailableTagKeysResponse {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new() -> Self {
        Self::builder().build()
    }
    #[inline]
    pub fn results(&self) -> &std::collections::BTreeMap<String, Vec<String>> {
        &self.results
    }
    /// Present only for request ids that have a further page.
    #[inline]
    pub fn next_page_tokens(&self) -> &std::collections::BTreeMap<String, String> {
        &self.next_page_tokens
    }
}
